Get integration connections
curl --request GET \
--url https://api.quiva.ai/hub/integrations/{integration_id}/oauth-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/integrations/{integration_id}/oauth-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/integrations/{integration_id}/oauth-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"access_token": "eyJhbGciOiJSUzI1NiIs...",
"token_type": "Bearer",
"refresh_token": "ulpL_...",
"expiry": "2025-05-29T17:09:39.816102+01:00",
"expires_in": 1800,
"sequence": 85,
"subject": "ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo",
"modified": 1748533179
},
{
"access_token": "eyJhbGciOiJSUzI1NiIs...",
"token_type": "Bearer",
"refresh_token": "pSn5h...",
"expiry": "2025-05-29T17:11:54.397804+01:00",
"expires_in": 1800,
"sequence": 86,
"subject": "ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.maria",
"modified": 1748533314
}
],
"results_total": 2
}{
"error": "<string>"
}Oauth
Get integration connections
Gets integration connections by integration_id
GET
/
hub
/
integrations
/
{integration_id}
/
oauth-connections
Get integration connections
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
Integration identifier
Response
Connection deleted successfully
OAuth access token
Example:
"eyJhbGciOiJSUzI1Ni..."
Token type (usually Bearer)
Example:
"Bearer"
OAuth refresh token
Example:
"ulpL_..."
Token expiration time
Example:
"2025-05-29T17:09:39.816102+01:00"
Token expires in seconds
Example:
1800
Message sequence number
Example:
85
Message subject
Example:
"ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo"
Last modified timestamp
Example:
1748533179
⌘I